Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unable to build: DSO missing from command line #1

Closed
hatahet opened this issue Jun 20, 2014 · 8 comments

Comments

@hatahet
Copy link

commented Jun 20, 2014

I am getting the following error when running make:

/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2   -o geomtst geomtst.o libctlgeom.la ../src/libctl.la -lguile-2.0 -lgc  
libtool: link: gcc -g -O2 -o geomtst geomtst.o  ./.libs/libctlgeom.a /home/user/dev/mpb/libctl-3.2.2/src/.libs/libctl.a ../src/.libs/libctl.a -lguile-2.0 -lgc
/usr/bin/ld: /home/user/dev/mpb/libctl-3.2.2/src/.libs/libctl.a(integrator.o): undefined reference to symbol 'pow@@GLIBC_2.2.5'
/lib/x86_64-linux-gnu/libm.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[3]: *** [geomtst] Error 1
make[3]: Leaving directory `/home/user/dev/mpb/libctl-3.2.2/utils'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/user/dev/mpb/libctl-3.2.2/utils'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/user/dev/mpb/libctl-3.2.2'
make: *** [all] Error 2

Running Kubuntu 13.10 x86_64:

$ uname -a
Linux 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
@stevengj

This comment has been minimized.

Copy link
Collaborator

commented Jun 21, 2014

Try:

make distclean
./configure LIBS="-lm"
make

in case it is missing -lm.

@hatahet

This comment has been minimized.

Copy link
Author

commented Jun 21, 2014

I ended up installing ibctl-3.2.1, which installed successfully. I then re-downloaded v3.2.2, and the installation went fine! I checked the Makefile after running configure, and -lm was part of LIBS:

LIBS =   -pthread  -lguile -lltdl -lgmp -lcrypt -lm -lltdl

Though I can't confirm if this were the case previously. Any reason why installing 3.2.1 might have changed things?

@hatahet

This comment has been minimized.

Copy link
Author

commented Jun 21, 2014

Closing issue since this seems to have been resolved. Thanks for the help.

@hatahet hatahet closed this Jun 21, 2014
@stevengj

This comment has been minimized.

Copy link
Collaborator

commented Jun 21, 2014

I'm not sure why that would make a difference...

@luckydonald

This comment has been minimized.

Copy link

commented Mar 3, 2015

Maybe Circular dependencies, see http://stackoverflow.com/q/19901934

@me-eclipse

This comment has been minimized.

Copy link

commented Jul 17, 2015

Confirmed adding LIBS="-lm" on configure line took care of it for me on Ubunto. Thx.

@sagarnikam123

This comment has been minimized.

Copy link

commented Oct 1, 2015

In one of MakeFile I changed below things, it just works (add -lm at specified position)

from

$(PLUGIN): $(OBJECTS)
    $(CC) $(CFLAGS) -o $@ $^ $(LIBS)

to

$(PLUGIN): $(OBJECTS)
    $(CC) $(CFLAGS) -o $@ $^ $(LIBS) -lm
stevengj added a commit that referenced this issue Oct 1, 2015
@stevengj

This comment has been minimized.

Copy link
Collaborator

commented Oct 1, 2015

I've updated the configure script so that in the next libctl release this will be added by default.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.